---
title: Event.defaultPrevented
slug: Web/API/Event/defaultPrevented
tags:
  - API
  - DOM
  - Event
  - Property
  - Read-only
---
<div>{{ APIRef("DOM") }}</div>

<p>The <code><strong>defaultPrevented</strong></code> read-only property of the {{domxref("Event")}} interface returns a {{jsxref("Boolean")}} indicating whether or not the call to {{ domxref("Event.preventDefault()") }} canceled the event.</p>

<div class="note"><strong>Note:</strong> You should use this instead of the non-standard, deprecated <code>getPreventDefault()</code> method (see {{ bug(691151) }}).</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var <em>defaultWasPrevented</em> = <em>event</em>.defaultPrevented;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}, where <code>true</code> indicates that the default {{glossary("user agent")}} action was prevented, and <code>false</code> indicates that it was not.</p>

<h2 id="Example">Example</h2>

<p>This example logs attempts to visit links from two {{htmlElement("a")}} elements. JavaScript is used to prevent the second link from working.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p&gt;&lt;a id="link1" href="#link1"&gt;Visit link 1&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;&lt;a id="link2" href="#link2"&gt;Try to visit link 2&lt;/a&gt; (you can't)&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function stopLink(event) {
  event.preventDefault();
}

function logClick(event) {
  const log = document.getElementById('log');

  if (event.target.tagName === 'A') {
    if (event.defaultPrevented) {
      log.innerText = 'Sorry, but you cannot visit this link!\n' + log.innerText;
    }
    else {
      log.innerText = 'Visiting link...\n' + log.innerText;
    }
  }
}

const a = document.getElementById('link2');
a.addEventListener('click', stopLink);
document.addEventListener('click', logClick);</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-defaultprevented', 'Event.defaultPrevented()')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.defaultPrevented")}}</p>
